# retvalue

Variables that indicates the return value from a formula block. Used when the contents of a formula block / lifecycle hook spans multiple lines, or if the single line does not resolve into a singular value.

Examples:

```python
apply_exchange_rate_adjustments(sf_collateral.response.payload.collateral)
apply_inflation_adjustments(sf_collateral.response.payload.collateral)
retvalue = sum(c.amount for c in sf_collateral.response.payload.collateral)
```

```python
if input.payload == "test value":
    retvalue = input.payload
else:
    retvalue = "value not provided"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_variables/retvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
